Bug 247633 - Instead of picture ,gray color mark is displaying
Summary: Instead of picture ,gray color mark is displaying
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: filter/ppt (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-13 12:38 UTC by swathi
Modified: 2011-05-27 14:36 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of the ppt in Kpresenter(In revision 1161892) (175.44 KB, image/x-png)
2010-08-13 12:39 UTC, swathi
Details
Screenshot in MS ppt (113.05 KB, image/x-png)
2010-08-13 12:41 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2010-08-13 12:38:02 UTC
Version:           svn (Rev: 1161892) (using KDE 4.4.3) 
OS:                Kubuntu 9.10

Test data is there in the below link.
http://www2.austlii.edu.au/~graham/publications/2007/SAARC_LIIs.ppt

In the first slide two pictures are there.
In Kpresenter in the place of first picture gray color squared mark is displaying.Second picture is displaying normally.

Expected Outcome:
Kpresenter should be able to display the first picture.
Comment 1 swathi 2010-08-13 12:39:29 UTC
Created attachment 50124 [details]
Screenshot of the ppt in Kpresenter(In revision 1161892)
Comment 2 swathi 2010-08-13 12:41:38 UTC
Created attachment 50125 [details]
Screenshot in MS ppt
Comment 3 swathi 2010-08-13 12:43:17 UTC
Converted the test data file to .odp using koconverter.
OOimpresee loads the document is the same way as kpresenter.(Here also first picture is not displaying)
Guessing it to be a filter problem.
Comment 4 swathi 2011-04-15 10:24:37 UTC
In git commit text-layoutrestructure-boemann branch,insted of picture ? is displaying.
Comment 5 Inge Wallin 2011-04-18 02:31:14 UTC
This is a filter issue.  The filter doesn't handle the picture correctly, instead it creates a draw:image with a href="Pictures/" without a real filename. The question mark is the unavail shape doing it's work.

The file, when converted using ooimpress, shows nicely in Stage.
Comment 6 Matus Uzak 2011-05-03 14:46:14 UTC
The picture is parsed properly, but there's some problem with the reference to the picture as Inge wrote.  After re-save in MS PowerPoint 2007 everything is fine, as always. :)
Comment 7 Matus Uzak 2011-05-05 17:54:07 UTC
Git commit 1fa8408eefefaeb33944ba46f2557b6bbdef5978 by Matus Uzak.
Committed on 05/05/2011 at 17:54.
Pushed by uzak into branch 'master'.

PPT: Improved access to image names.

* It seems to be normal for MS Office 2003 that the MD4 digest of a BLIP
  (specifies the unique identifier of the pixel data in the BLIP) in blipStore
  and OfficeArtDggContainer DOES NOT match.  This means that we can't locate
  the picture for a Picture Shape in the blipStore b y its MD4 digest.

* Using stream offsets to locate the picture.

* Re-save in MS Office 2007 updates the MD4 digests in OfficeArtDggContainer.
  Tests showed that MD4 digests in blipStore were always up2date.

BUG:247633

M  +42   -4    filters/kpresenter/powerpoint/PptToOdp.cpp     
M  +1    -3    filters/kpresenter/powerpoint/PptToOdp.h     
M  +3    -2    filters/libmso/pictures.cpp     
M  +13   -7    filters/libmso/pictures.h     
M  +6    -5    filters/words/msword-odf/graphicshandler.cpp     

http://commits.kde.org/calligra/1fa8408eefefaeb33944ba46f2557b6bbdef5978
Comment 8 Matus Uzak 2011-05-05 17:57:20 UTC
The frame around pictures is a known issue and reported as a bug.  I also noticed that the footer is not displayed.  And the top right picture on slide #4 is missing.  It's in the DIB format and there seems to be some problem with that.
Comment 9 swathi 2011-05-27 14:36:34 UTC
Verified in 70e1b6e65bcc89bffdd1ba4c9903469827c2c213.